Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jbrowser
Class JBrowsePlugin

    java.lang.Object
      gnu.jbrowser.JBrowsePlugin

All Implemented Interfaces:
  Plugin

    public class JBrowsePlugin

extends java.lang.Object
implements Plugin

This class implements the JEdit's Plugin interface for the JBrowse plugin.

Nested Class Summary
`static class` | `JBrowsePlugin.OpenAction`
`static class` | `JBrowsePlugin.OptPane`
`static class` | `JBrowsePlugin.PropAccessor`
`static class` | `JBrowsePlugin.TreeEventAdapter`

Field Summary
`static java.lang.String` | `VER_NUM`

Constructor Summary
`JBrowsePlugin()`

Method Summary
`void` | `createMenuItems(AbstractEditorPanel view, java.util.Vector menus, java.util.Vector menuItems)` Newly created views call this method of each plugin in turn.
`void` | `createOptionPanes(OptionsDialog parent)` This allows plugins to add their own option pane to the `OptionsDialog`.
`java.lang.String` | `getName()`
`void` | `start()` Called by Jext on startup to start plugin.
`void` | `stop()` Called by Jext on close to stop plugin activities.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VER_NUM

    public static final java.lang.String VER_NUM

See Also:
  Constant Field Values

Constructor Detail

### JBrowsePlugin

    public JBrowsePlugin()

Method Detail

### start

    public void start()

  Description copied from interface: `Plugin`
  Called by Jext on startup to start plugin.

  Specified by:
    `start` in interface `Plugin`

### createMenuItems

    public void createMenuItems(AbstractEditorPanel view,
                                java.util.Vector menus,
                                java.util.Vector menuItems)

  Newly created views call this method of each plugin in turn. The default implementation does nothing, but most plugins will want to override it to add instances of `javax.swing.JMenu` and `javax.swing.JMenuItem` to the appropriate vectors. The menus and menu items can be created dynamically by the plugin, but the preferred way is to use the methods of the `GUIUtilities` class.

  Specified by:
    `createMenuItems` in interface `Plugin`

### createOptionPanes

    public void createOptionPanes(OptionsDialog parent)

  This allows plugins to add their own option pane to the `OptionsDialog`.

  Specified by:
    `createOptionPanes` in interface `Plugin`

### stop

    public void stop()

  Description copied from interface: `Plugin`
  Called by Jext on close to stop plugin activities.

  Specified by:
    `stop` in interface `Plugin`

### getName

    public java.lang.String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.